SoftCallability Class Reference

callability leaving to the holder the possibility to convert More...

`#include <ql/experimental/convertiblebonds/convertiblebond.hpp>`

Inheritance diagram for SoftCallability:
[legend]

## Public Member Functions

| SoftCallability (const Price &price, const Date &date, Real trigger)
Real | trigger () const
Public Member Functions inherited from Callability
| Callability (const Price &price, Type type, const Date &date)
const Price & | price () const
Type | type () const
Date | date () const
| returns the date at which the event occurs
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Event
virtual bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Public Types inherited from Callability
enum | Type { Call, Put }
| type of the callability

## Detailed Description

callability leaving to the holder the possibility to convert

Examples:
  ConvertibleBonds.cpp.